| ibi Patterns .NET API

Loading...
Searching...
No Matches
Public Member Functions | List of all members
NetricsServerInterface.NetricsTableCursorCompoundRecSrc Class Reference

Implements NetricsCompoundRecSrc by binding a NetricsTableCursor to a particular ibi™ Patterns - Search host. More...

## Public Member Functions
| NetricsTableCursorCompoundRecSrc (NetricsTableCursor cursor, NetricsServerInterface host)
| Create a NetricsTableCursorCompoundRecSrc instance.
override bool | hasNext ()
| Returns true if the source has more records.
override NetricsCompoundRecord | getNext ()
| Returns the next record.
override void | reset ()
| Resets the underlying cursor to the beginning.
String | getPosition ()
| Obtains the current position of the underlying cursor.
void | setPosition (String position)
| Reposition the underlying cursor.
String | getParentTable ()
| Returns The parent/primary table name for the compound record.
IList< String > | getChildTables ()
| Get an unmodifiable list of child table names used.
abstract NetricsCompoundRecord | getNext ()
| Returns the next record.
abstract bool | hasNext ()
| Returns true if the source has more records.
abstract void | reset ()
| Reset the source to the first record.
bool | hasNext ()
| Returns true if the source has more records.
NetricsBaseRecord | getNext ()
| Returns the next record.
void | reset ()
| Reset the source to the first record.

## Detailed Description

Implements NetricsCompoundRecSrc by binding a NetricsTableCursor to a particular ibi™ Patterns - Search host.

## Constructor & Destructor Documentation

## ◆ NetricsTableCursorCompoundRecSrc()

NetricsServerInterface.NetricsTableCursorCompoundRecSrc.NetricsTableCursorCompoundRecSrc | ( | NetricsTableCursor | cursor,
|  | NetricsServerInterface | host
| ) |  |
| inline

Create a NetricsTableCursorCompoundRecSrc instance.

Parameters

  cursor | Cursor underlying the record source.
  host | The cursor will traverse table(s) on this host.

## Member Function Documentation

## ◆ getChildTables()

IList< String > NetricsServerInterface.NetricsTableCursorCompoundRecSrc.getChildTables | ( |  | ) |
| inline

Get an unmodifiable list of child table names used.

This list represents all possible child tables. Any particular compound record returned may not contain child records for all of these tables.

Returns
  The list of child table names.

## ◆ getNext()

override NetricsCompoundRecord NetricsServerInterface.NetricsTableCursorCompoundRecSrc.getNext | ( |  | ) |
| inline virtual

Returns the next record.

Exceptions

  NetricsRecSrcException | Thrown if an error occurs, or if there are no more records.

Returns
  The next record.

Implements NetricsServerInterface.NetricsCompoundRecSrc.

## ◆ getPosition()

String NetricsServerInterface.NetricsTableCursorCompoundRecSrc.getPosition | ( |  | ) |
| inline

Obtains the current position of the underlying cursor.

This position may be used to later set the cursor position using setPosition(String).

Returns
  The current position of the underlying cursor.

## ◆ hasNext()

override bool NetricsServerInterface.NetricsTableCursorCompoundRecSrc.hasNext | ( |  | ) |
| inline virtual

Returns true if the source has more records.

Exceptions

  NetricsRecSrcException | Thrown if there is an error getting records from the underlying cursor.

Returns
  True if there is another record, false otherwise.

Implements NetricsServerInterface.NetricsCompoundRecSrc.

## ◆ setPosition()

void NetricsServerInterface.NetricsTableCursorCompoundRecSrc.setPosition | ( | String | position | ) |
| inline

Reposition the underlying cursor.

Parameters

  position | A cursor position. This should be a value returned by getPosition()